package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglZbfl;

import java.util.List;

public interface TpJcglZbflService {

    //新增装备类型
    void addZbfl(TbJcglZbfl zbfl);
    //查询装备树
    List<TbJcglZbfl>  zbTree(String scode);
    //编辑装备类型
    void editZbfl(TbJcglZbfl zbfl);

    IPage<TbJcglZbfl> selectList(TbJcglZbfl zbfl, IPage<TbJcglZbfl> page);

    void deleteZbfl(List<String> id);
}
